> ## Documentation Index
> Fetch the complete documentation index at: https://tbd-6fc993ce-add-json-output-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment details

> Get information about a deployment's status.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/kernel/openapi.documented.yml get /deployments/{id}
openapi: 3.1.0
info:
  title: Kernel API
  description: Developer tools and cloud infrastructure for AI agents to use web browsers
  version: 0.1.0
servers:
  - url: https://api.onkernel.com
    description: API Server
security:
  - bearerAuth: []
tags:
  - name: Invocations
    description: Invoke actions and stream or query invocation status and events.
  - name: Browsers
    description: >-
      Create and manage browser sessions, filesystem, processes, logs, and
      replays.
  - name: Proxies
    description: Create and manage proxy configurations for routing browser traffic.
  - name: Deployments
    description: Create and manage app deployments and stream deployment events.
  - name: Apps
    description: List applications and versions.
  - name: Profiles
    description: Create, list, retrieve, and delete browser profiles.
  - name: Extensions
    description: Create, list, retrieve, and delete browser extensions.
  - name: Browser Pools
    description: Create and manage browser pools for acquiring and releasing browsers.
  - name: Agent Auth
    description: Agent authentication flow endpoints for hosted credential capture.
paths:
  /deployments/{id}:
    get:
      tags:
        - Deployments
      summary: Get deployment details
      description: Get information about a deployment's status.
      operationId: getDeploymentsById
      parameters:
        - name: id
          in: path
          required: true
          description: Deployment ID
          schema:
            type: string
      responses:
        '200':
          description: Deployment retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Deployment'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Kernel from '@onkernel/sdk';

            const client = new Kernel({
              apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
            });

            const deployment = await client.deployments.retrieve('id');

            console.log(deployment.id);
        - lang: Python
          source: |-
            import os
            from kernel import Kernel

            client = Kernel(
                api_key=os.environ.get("KERNEL_API_KEY"),  # This is the default and can be omitted
            )
            deployment = client.deployments.retrieve(
                "id",
            )
            print(deployment.id)
        - lang: Go
          source: |
            package main

            import (
              "context"
              "fmt"

              "github.com/kernel/kernel-go-sdk"
              "github.com/kernel/kernel-go-sdk/option"
            )

            func main() {
              client := kernel.NewClient(
                option.WithAPIKey("My API Key"),
              )
              deployment, err := client.Deployments.Get(context.TODO(), "id")
              if err != nil {
                panic(err.Error())
              }
              fmt.Printf("%+v\n", deployment.ID)
            }
components:
  schemas:
    Deployment:
      type: object
      description: Deployment record information.
      properties:
        id:
          type: string
          description: Unique identifier for the deployment
          example: rr33xuugxj9h0bkf1rdt2bet
        status:
          type: string
          description: Current status of the deployment
          enum:
            - queued
            - in_progress
            - running
            - failed
            - stopped
          example: queued
        status_reason:
          type: string
          description: Status reason
          example: Deployment in progress
        region:
          type: string
          description: Deployment region code
          example: aws.us-east-1a
          const: aws.us-east-1a
        entrypoint_rel_path:
          type: string
          description: Relative path to the application entrypoint
          example: src/app.py
        env_vars:
          type: object
          description: Environment variables configured for this deployment
          additionalProperties:
            type: string
        created_at:
          type: string
          format: date-time
          description: Timestamp when the deployment was created
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the deployment was last updated
      required:
        - id
        - status
        - region
        - created_at
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Application-specific error code (machine-readable)
          example: bad_request
        message:
          type: string
          description: Human-readable error description for debugging
          example: 'Missing required field: app_name'
        details:
          type: array
          description: Additional error details (for multiple errors)
          items:
            $ref: '#/components/schemas/ErrorDetail'
        inner_error:
          $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      properties:
        code:
          type: string
          description: Lower-level error code providing more specific detail
          example: invalid_input
        message:
          type: string
          description: Further detail about the error
          example: Provided version string is not semver compliant
  responses:
    Unauthorized:
      description: Unauthorized – missing or invalid authorization token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````